import { LogicalOperator } from '../../axo-utils/axo-utils';
import { AxExpression } from '../ax-expression/ax-expression';
export declare class SearchNode {
    logicalOperator: LogicalOperator;
    type: string | number;
    value: string;
    expression: AxExpression;
    searchNodes: Array<SearchNode>;
    constructor(searchNode?: SearchNode);
    /**
     * function to create searchNodes object with existing values
     *
     *@param searchNodes
     *
     */
    static createSearchNode(searchNodes: Array<SearchNode>): Array<SearchNode>;
    /**
     * Create new search node class and default value
     */
    newSearchNode(): void;
    /**
     * Assign existing value to search nodes class
     *
     * @param searchNode
     */
    searchNode(searchNode?: SearchNode): void;
}
